package com.fs.aiob.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.aicall.vo.AiobCalleData;
import com.fs.aicall.vo.AiobTaskData;
import com.fs.aiob.domain.AiobBaiduTask;

import java.util.List;

/**
 * 百度AI外呼任务Service接口
 * 
 * @author fs
 * @date 2025-03-20
 */
public interface IAiobBaiduTaskService extends IService<AiobBaiduTask>{
    /**
     * 查询百度AI外呼任务
     * 
     * @param id 百度AI外呼任务主键
     * @return 百度AI外呼任务
     */
    AiobBaiduTask selectAiobBaiduTaskById(Long id);

    /**
     * 查询百度AI外呼任务列表
     * 
     * @param aiobBaiduTask 百度AI外呼任务
     * @return 百度AI外呼任务集合
     */
    List<AiobBaiduTask> selectAiobBaiduTaskList(AiobBaiduTask aiobBaiduTask);

    /**
     * 新增百度AI外呼任务
     * 
     * @param aiobBaiduTask 百度AI外呼任务
     * @return 结果
     */
    int insertAiobBaiduTask(AiobBaiduTask aiobBaiduTask);

    /**
     * 修改百度AI外呼任务
     * 
     * @param aiobBaiduTask 百度AI外呼任务
     * @return 结果
     */
    int updateAiobBaiduTask(AiobBaiduTask aiobBaiduTask);

    /**
     * 批量删除百度AI外呼任务
     * 
     * @param ids 需要删除的百度AI外呼任务主键集合
     * @return 结果
     */
    int deleteAiobBaiduTaskByIds(Long[] ids);

    /**
     * 删除百度AI外呼任务信息
     * 
     * @param id 百度AI外呼任务主键
     * @return 结果
     */
    int deleteAiobBaiduTaskById(Long id);

    void back(AiobCalleData vo);

    void updateStatus(AiobTaskData vo);

    void changeStatus(String taskId, Integer status);
}
